###
datacache <- new.env(hash=TRUE, parent=emptyenv())

GenomicFeatures.Mmusculus.UCSC.mm9_dbfile <- function()
    GenomicFeatures:::get_cached_dbfile(datacache)

GenomicFeatures.Mmusculus.UCSC.mm9_dbconn <- function()
    GenomicFeatures:::get_cached_dbconn(datacache)

### The "knownGene" table was created on Sep 28, 2009 by:
###   (a) Downloading and uncompressing:
###       http://hgdownload.cse.ucsc.edu/goldenPath/mm9/database/knownGene.txt.gz
###   (b) Running the following commands:
###         txtfile <- "knownGene.txt"  # point to the file produced by (a)
###         dbfile <- file.path(
###                       "GenomicFeatures.Mmusculus.UCSC.mm9",
###                       "inst",
###                       "extdata",
###                       "GenomicFeatures.Mmusculus.UCSC.mm9.sqlite")
###         library(GenomicFeatures)
###         known_genes <-
###           GenomicFeatures:::read.TranscriptTable.from.UCSC_knownGene_table(txtfile)
###         library(RSQLite)
###         dbconn <- GenomicFeatures:::.dbFileConnect(dbfile)
###         dbWriteTable(dbconn, "knownGene", known_genes,
###                      row.names=FALSE, overwrite=TRUE)
geneMouse <- function()
    GenomicFeatures:::get_dbtable("knownGene", datacache)

### The "cpgIslandExt" table was created on Sep 28, 2009 by:
###   (a) Downloading and uncompressing:
###       http://hgdownload.cse.ucsc.edu/goldenPath/mm9/database/cpgIslandExt.txt.gz
###   (b) Running the following commands:
###         txtfile <- "cpgIslandExt.txt"  # point to the file produced by (a)
###         dbfile <- file.path(
###                       "GenomicFeatures.Mmusculus.UCSC.mm9",
###                       "inst",
###                       "extdata",
###                       "GenomicFeatures.Mmusculus.UCSC.mm9.sqlite")
###         library(GenomicFeatures)
###         cpg <-
###           GenomicFeatures:::read.CpgIslandTable.from.UCSC_cpgIslandExt_table(
###                                             txtfile, inject.underscore.in.IDs=TRUE)
###         library(RSQLite)
###         dbconn <- GenomicFeatures:::.dbFileConnect(dbfile)
###         dbWriteTable(dbconn, "cpgIslandExt", cpg,
###                      row.names=FALSE, overwrite=TRUE)
CpG.mm9 <- function()
    GenomicFeatures:::get_dbtable("cpgIslandExt", datacache)

.onLoad <- function(libname, pkgname)
{
    msg <- c("WARNING: The ", pkgname, " package is deprecated!\n",
             "Please use the GenomicFeatures *software* package ",
             "to make your own database\nof genomic features ",
             "(transcripts/exons/cds are currently supported and\n",
             "other simple features will be soon). Thanks!")
    packageStartupMessage(msg)
    dbfile <- GenomicFeatures:::get_dbfile(libname, pkgname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- GenomicFeatures:::get_dbconn(libname, pkgname)
    assign("dbconn", dbconn, envir=datacache)
}

.onUnload <- function(libpath)
{
    dbDisconnect(GenomicFeatures.Mmusculus.UCSC.mm9_dbconn())
}

