\name{CpG.mm9}
\Rdversion{1.1}
\alias{CpG.mm9}
\title{
  CpG islands for mm9
}
\description{
  Locations of the CpG islands in the Mouse genome (build mm9).
  Coordinates are relative to the mm9 build and are in nucleotides
  from the 5' end of the positive (\code{"+"}) strand.
  They are always *one-based*, that is, the coordinate of the first
  (or leftmost) nucleotide in the strand is 1.
}
\usage{CpG.mm9()}
\value{
  A data frame with 16026 observations on the following 4 variables.
  \enumerate{
    \item \code{chromosome}: Chromosome name as a character vector.
    \item \code{start}: Interval start points.
    \item \code{end}: Interval end points.
    \item \code{ID}: An identifier.
  }
}
\source{
This table was obtained by downloading the following database file
from UCSC (on Sep 28, 2009):
  \url{http://hgdownload.cse.ucsc.edu/goldenPath/mm9/database/cpgIslandExt.txt.gz}
and by translating the start coordinates found in the file from
zero-based to one-based.

The cpgIslandExt.txt.gz file is a database dump containing the
UCSC track called "CpG Islands" and described here:
  \url{http://genome.ucsc.edu/cgi-bin/hgTrackUi?db=mm9&g=cpgIslandExt}
}
