\name{GenomicFeatures.Mmusculus.UCSC.mm9_dbconn}

\alias{GenomicFeatures.Mmusculus.UCSC.mm9_dbconn}
\alias{GenomicFeatures.Mmusculus.UCSC.mm9_dbfile}

\title{Get the connection to the built-in DB}

\description{
  A convenience function for getting a connection object to the
  annotation DB included in the GenomicFeatures.Mmusculus.UCSC.mm9
  package.
}

\usage{
  GenomicFeatures.Mmusculus.UCSC.mm9_dbconn()
  GenomicFeatures.Mmusculus.UCSC.mm9_dbfile()
}

\details{
  \code{GenomicFeatures.Mmusculus.UCSC.mm9_dbconn} returns a connection
  object that was created at load-time and is aimed to hold a permanent
  connection.
  It is used internally by some of the functions defined in this package.
  Don't call \code{\link[DBI:dbConnect]{dbDisconnect}} on this connection
  object or you will break these functions.
}

\seealso{
  \code{\link[DBI:dbSendQuery]{dbGetQuery}},
  \code{\link[DBI:dbConnect]{dbConnect}},
  \code{\link{geneMouse}}
}

\examples{
  library(RSQLite)

  ## Get Mouse genes in chromosome 1:
  chr1_genes <- dbGetQuery(GenomicFeatures.Mmusculus.UCSC.mm9_dbconn(),
                           "SELECT * FROM knownGene WHERE chrom='chr1'")
  ## Get all the Mouse genes:
  genes <- dbReadTable(GenomicFeatures.Mmusculus.UCSC.mm9_dbconn(),
                       "knownGene", row.names=NULL)
  ## NOTE: The recommended way to get all the Mouse genes is to use geneMouse().
}

\keyword{utilities}
